import { sveltekit } from '@sveltejs/kit/vite';
import copy from 'rollup-plugin-copy';
import replace from '@rollup/plugin-replace';

/** @type {import('vite').UserConfig} */
const config = {
        plugins: [
            sveltekit(),
			replace({
				'process.env.NODE_ENV': JSON.stringify('production'),
				 include: '**/node_modules/**',
				 preventAssignment: true
			})
        ]
};

export default config;