import type ActionAlert from "$lib/Classes/Actions/ActionAlert";
import type ActionCallback from "$lib/Classes/Actions/ActionCallback";
import type ActionConsole from "$lib/Classes/Actions/ActionConsole";
import type ActionModal from "$lib/Classes/Actions/ActionModal";
import type ActionNotice from "$lib/Classes/Actions/ActionNotice";
import type ActionStop from "$lib/Classes/Actions/ActionStop";
import type ActionSubmit from "$lib/Classes/Actions/ActionSubmit";

type Action = ActionAlert | ActionCallback | ActionConsole | ActionModal | ActionNotice | ActionStop | ActionSubmit;

export default Action;